> For the complete documentation index, see [llms.txt](https://docs.pascom.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pascom.net/reference/howto/dhcp-provisioning.md).

# Telefon-Provisonierung via DHCP

Statt jedes einzelne Hardware Telefon mit dem PASCOM Server per URL zu pairen können Sie Provisionierungs-URLs auch per DHCP automatisiert übergeben

{% hint style="warning" %}
Die DHCP Provisionierung ist nur möglich wenn eine entsprechende [VPN-Verbindung](/setup/endpoints/vpn-connector.md) zwischen dem lokalen Netzwerk und der PASCOM Telefonanlage aufgebaut wurde!
{% endhint %}

## Eigenen DHCP-Server verwenden

Da in fast allen, lokalen Netzwerken bereits ein DHCP-Server vorhanden ist empfiehlt es sich diesen anzupassen um die Provisionierungs-URLs an die Telefone zu übergeben.

### DHCP-Server konfigurieren

{% hint style="success" %}
Beim Windows DHCP-Server (oder anderen DHCP Servern die diesem Optionsschema folgen) müssen Sie die **DHCP-Option** **66** und ggf. die **67** setzen. Bei Linux/Unix DHCP-Servern heißen die Optionen **tftp-server-name** und **filename**.
{% endhint %}

Je nach verwendeten Telefonen unterscheiden sich die Provisionierungs-URLs.

Sobald auf der PASCOM Telefonanlage die VPN Verbindung eingerichtet wurde, ändern sich die Provisionierungs-URLs. Der Pfad sieht folgendermaßen aus.

| Telefonhersteller                   | Option 66 (tftp-server-name)                | Option 67 (filename) |
| ----------------------------------- | ------------------------------------------- | -------------------- |
| Snom                                | http\://\[Ihre\_VPN\_IP]/provisioning/{mac} |                      |
| Yealink, Grandstream, Aastra, Mitel | http\://\[Ihre\_VPN\_IP]/provisioning/      |                      |
| Auerswald                           | http\://\[Ihre\_VPN\_IP]/provisioning/      | \<MACADR>            |

Falls Sie diese Optionen ausschließlich an Telefone versenden möchten können Sie die Vergabe dieser Option auf den von Ihnen verwendeten Hersteller einschränken:

| Telefonhersteller | MAC-Adresse       |
| ----------------- | ----------------- |
| Snom              | 00-04-13-\*-\*-\* |
| Yealink           | 00-15-65-\*-\*-\* |
| Grandstream       | 00-0B-82-\*-\*-\* |
| Aastra            | 00-08-5D-\*-\*-\* |
| Auerswald         | 00-09-52-\*-\*-\* |

### Provisionierung testen

Setzen Sie ein Hardware Telefon auf Werkseinstellungen zurück. Funktioniert der DHCP-Server mit den Optionen korrekt konfiguriert sich das Telefon nun automatisch. War das provisionieren erfolgreich sehen Sie im Display des Telefones "Nur Notrufe" oder den Namen des zugewiesenen Benutzers oder Arbeitsplatzes.

**Sobald Ihre Endgeräte über die VPN-Verbindung provisioniert wurden, läuft auch der Audiostream Ihrer Gespräche ebenfalls über die VPN-Verbindung**


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.pascom.net/reference/howto/dhcp-provisioning.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `build a script that syncs our docs to a CMS` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
